/*
Intégration de R-exams dans J3P par Patrick Raffinat
Adaptation de http://www.r-exams.org/templates/dist/
 */

j3p.Sectiontestrexams_dist = {
    outils: ["calculatrice","maths", "rexams"],
    "parametres":[
        ["nbrepetitions",2,"entier","Nombre de répétitions de la section"],
        ["indication","","string","Indication pour chaque répétition"],
        ["nbchances",1,"entier","Nombre d'essais par répétition"]
    ],
    "pe":[
        {"pe":0}
    ]
};

Parcours.prototype.Sectiontestrexams_dist = function(){
		
    function _Donnees() {
        this.nomsection = "testrexams_dist";
        document.title += this.nomsection;
        this.typesection="lycee";
        this.touche_entree = false;
        this.nbrepetitions = 3;
        this.nbetapes= 1;
        this.nbitems = this.nbetapes*this.nbrepetitions;
        this.indication = "";
        this.video = [];
        this.nbchances = 1;
        this.numeroessai = 1;
        this.structure="presentation1";
        this.textes = {
            titre : "Test d'intégration de R-exams "
        }
        this.pe=0;
    }

	j3pRexams.reload_mathjax();
	this.cheminxml = "sections/EssaisPatrick/rexams/dist/"; // dossier où sont les qcms
	this.nom_fichier = "ex"; this.nb_fichiers = 10; // ex1.html ... ex10.html
	this.extype = "num"; this.extol = 0.01;
	 
	/* pas besoin de modifier la suite en principe */
	switch (this.etat){
		case "enonce":           
			if (this.debutdelasection){
				this.DonneesSection = new _Donnees();					
				j3pRexams.enonce_debutdelasection_vrai(this);
			} else {
				j3pRexams.enonce_debutdelasection_faux(this);
			}
			break;			
		case "correction" :
			j3pRexams.correction(this);	break;
		case "navigation" :
			j3pRexams.navigation(this);	break;
	}
	
}

